# Run all scripts in the install folder
$list = @()
Get-ChildItem -Path install -Filter:*.ps1 -EA:Ignore | ForEach-Object {
    $list += $_.BaseName
    . $_.FullName
}
Write-Output "Installed: [$($list -join "] [")]"

# Add to profile
$loadscript = Join-Path (Get-Location) "Load.ps1"
". $loadscript" | Add-Content -Path $Profile -Encoding UTF8