$list = @()
Get-ChildItem -Path (Join-Path $PSScriptRoot mods) -Filter:*.ps1 -EA:Ignore | ForEach-Object {
    $list += $_.BaseName
    . $_.FullName
}

Write-Output "Loaded: [$($list -join "] [")]"

$Env:PATH += [System.IO.Path]::PathSeparator + "$(Join-Path $PSScriptRoot scripts)"

. (Join-Path $PSScriptRoot Vars.ps1)