# Make Powershell Great Again :^)
Finally, Powershell got its own Trump card haha (please don't kill me it's just a joke)

This project will install and load the following mods

- [posh-git](https://github.com/dahlbyk/posh-git) (Git extensions)
- [oh-my-posh](https://github.com/JanDeDobbeleer/oh-my-posh) (Theming)
- [Pscx](https://github.com/Pscx/Pscx) (Community extensions)
- [Get-ChildItemColor](https://github.com/joonro/Get-ChildItemColor) (Colored ls/gci)

and apply some changes:

- Zsh-like Tab auto-complete (with menus)
- Better CTRL word navigation

Some scripts are also included:

- `time.ps1` Returns execution time of the last command

## Getting started

### Requirements

- Powershell (v6+ has some extra goodies)

### Installation

Clone or extract somewhere, maybe inside your profile dir?
Where's your profile? Check `$Profile` in powershell.

Install all modules by running `Install.ps1`. No administrator shell required, everything is installed in the user context!

Close and reopen the shell and you should be done!

## Customization

`Vars.ps1` contains some extra options you might want to change. Or just add more stuff there (or better yet, in your `$profile`).

If you don't want a particular module, just delete the file off the `install` and `mods` folder. Then it will not be installed/loaded!

The `scripts` folder is added to the `PATH` during load, you can add/remove scripts there and they will be in `PATH` but only when using this profile!

## License

Everything is released under ISC (see `LICENSE`).
